Developers
API ReferenceChat Topic

Upload external files to ChatTopic

POST
/chat/external-file-upload

Upload external files to ChatTopic

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new ChatFileUpload resource

  1. body
files*array<>
chatTopic*string
Formatiri-reference

Response Body

ChatFileUpload resource created

  1. response
repliesTo?|null
chatMessageReactions?array<>
id?string
Formatuuid
content?|
Lengthlength <= 5000
createdBy?|null
chatFile?|null
chatPoll?|null
messageType?string
Value in"message""file""deleted""poll"
createdAt?string
Formatdate-time
isEmoji?boolean
isPinned?boolean
pinnedBy?|null
pinnedAt?|
Formatdate-time
chatMessageMentions?array<>
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/chat/external-file-upload' \  -H 'Content-Type: application/json' \  -d '{  "files": [    {      "source": "link",      "path": "string",      "displayedName": "string"    }  ],  "chatTopic": "https://example.com/"}'
Example Response
{  "repliesTo": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "content": "string",    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "contractorName": "string",      "jobPositionName": "string",      "shortCode": "string",      "isExternal": true    },    "chatFile": {      "createdBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "contractorName": "string",        "jobPositionName": "string",        "shortCode": "string",        "isExternal": true      },      "previewImageUrl": "string",      "duration": 0,      "waveformPeaks": [        0      ],      "isCreatedFromSystem": false,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "displayedName": "string",      "extension": "string",      "size": 0,      "source": "internal",      "createdAt": "2019-08-24T14:15:22Z"    },    "chatPoll": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "content": "string",      "isMultiChoice": true,      "options": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "content": "string",          "weight": 0        }      ],      "chatPollVotes": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "optionId": "dee15a0e-f1fe-4cd8-88ac-c090810707f8",          "createdBy": {},          "createdAt": "2019-08-24T14:15:22Z"        }      ],      "multiChoice": true    },    "messageType": "message",    "createdAt": "2019-08-24T14:15:22Z",    "isEmoji": true,    "isPinned": true,    "pinnedBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "contractorName": "string",      "jobPositionName": "string",      "shortCode": "string",      "isExternal": true    },    "pinnedAt": "2019-08-24T14:15:22Z",    "chatMessageMentions": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "canView": true,        "chatUser": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "email": "string",          "pictureSm": "string",          "contractorName": "string",          "jobPositionName": "string",          "shortCode": "string",          "isExternal": true        }      }    ]  },  "chatMessageReactions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "chatUser": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "contractorName": "string",        "jobPositionName": "string",        "shortCode": "string",        "isExternal": true      },      "reactionType": "string"    }  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "content": "string",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string",    "shortCode": "string",    "isExternal": true  },  "chatFile": {    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "contractorName": "string",      "jobPositionName": "string",      "shortCode": "string",      "isExternal": true    },    "previewImageUrl": "string",    "duration": 0,    "waveformPeaks": [      0    ],    "isCreatedFromSystem": false,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "displayedName": "string",    "extension": "string",    "size": 0,    "source": "internal",    "createdAt": "2019-08-24T14:15:22Z"  },  "chatPoll": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "content": "string",    "isMultiChoice": true,    "options": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "content": "string",        "weight": 0      }    ],    "chatPollVotes": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "optionId": "dee15a0e-f1fe-4cd8-88ac-c090810707f8",        "createdBy": {},        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "multiChoice": true  },  "messageType": "message",  "createdAt": "2019-08-24T14:15:22Z",  "isEmoji": true,  "isPinned": true,  "pinnedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string",    "shortCode": "string",    "isExternal": true  },  "pinnedAt": "2019-08-24T14:15:22Z",  "chatMessageMentions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "canView": true,      "chatUser": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "contractorName": "string",        "jobPositionName": "string",        "shortCode": "string",        "isExternal": true      }    }  ]}